-- MAKE A TEMPORARY COPY OF THE OBSERVATIONS TABLE THAT HAS THE RA AND
-- DEC PROPERLY DONE

-- if the table exists, drop it so we can reload it
DROP TEMPORARY TABLE IF EXISTS newobs;

-- version of mysql is <4.1 so cannot use CREATE ... LIKE ...
CREATE TEMPORARY TABLE newobs
   SELECT *,
        (raj_hour+raj_minute/60.+raj_second/3600.)*15 as raj,
        case when pulsar_name like "%-%" then -1.*(abs(decj_degree)+decj_minute/60.+decj_second/3600.)
             when (decj_degree<0.)   then -1.*(abs(decj_degree)+decj_minute/60.+decj_second/3600.)
             else abs(decj_degree)+decj_minute/60.+decj_second/3600. end as decj
 FROM observations;
